package com.xhpc.activity.utils;

import com.xhpc.activity.vo.XDTTradebillVo;

import java.util.List;
import java.util.Map;

/**
 * @author yuyang
 * @date 2023-03-01 15:34
 */
public class ExcelExp {
	private String fileName;// sheet的名称
	private String[] handers;// sheet里的标题
	private List<Map<String, Object>> dataset;// sheet里的数据集

	private List<XDTTradebillVo> xdtTradebillVoList;// sheet里的数据集
	private String tableName;

	private Integer type;

	public ExcelExp(String fileName, String[] handers, List<Map<String, Object>> dataset, String tableName) {
		this.fileName = fileName;
		this.handers = handers;
		this.dataset = dataset;
		this.tableName = tableName;
	}

	public ExcelExp(String fileName, String[] handers, List<XDTTradebillVo> xdtTradebillVoList, String tableName,Integer type) {
		this.fileName = fileName;
		this.handers = handers;
		this.xdtTradebillVoList = xdtTradebillVoList;
		this.tableName = tableName;
	}
	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public String[] getHanders() {
		return handers;
	}

	public void setHanders(String[] handers) {
		this.handers = handers;
	}

	public List<Map<String, Object>> getDataset() {
		return dataset;
	}

	public void setDataset(List<Map<String, Object>> dataset) {
		this.dataset = dataset;
	}

	public String getTableName() {
		return tableName;
	}

	public void setTableName(String tableName) {
		this.tableName = tableName;
	}

	public List<XDTTradebillVo> getXdtTradebillVoList() {
		return xdtTradebillVoList;
	}

	public void setXdtTradebillVoList(List<XDTTradebillVo> xdtTradebillVoList) {
		this.xdtTradebillVoList = xdtTradebillVoList;
	}
}
